%bcond_without check

%global srcname threadpoolctl

Summary: Thread-pool Controls
Name: python-%{srcname}
Version: 3.2.0
Release: 1%{?dist}
License: BSD
URL: https://github.com/joblib/threadpoolctl
Source0: %{pypi_source}

BuildArch: noarch
BuildRequires:  python3-devel  

%description 
Python helpers is used to limit the number of threads used in the threadpool-backed of common 
native libraries used for scientific computing and data science (e.g. BLAS and OpenMP).
Fine control of the underlying thread-pool size is useful in workloads that involve nested 
parallelism so as to mitigate oversubscription issues.

%package -n python3-%{srcname}
Summary: %{summary}
%if %{with check}
BuildRequires: python3dist(pytest) python3dist(scipy) python3dist(cython)
%endif

%description -n python3-%{srcname}
Python helpers is used to limit the number of threads used in the threadpool-backed of common 
native libraries used for scientific computing and data science (e.g. BLAS and OpenMP).
Fine control of the underlying thread-pool size is useful in workloads that involve nested 
parallelism so as to mitigate oversubscription issues.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files threadpoolctl

%check
%if %{with check}
# test_architecture has a hardcoded list of architectures, skip it
%pytest -v -k 'not test_architecture and not test_command_line'
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md multiple_openmp.md

%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 3.2.0-1
- Bump version to 3.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 3.1.0-1
- initial build
